Subject: Re: [PATCH v2 0/6] ci: replace our Azure Pipeline by GitHub Actions

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Apr 2020 14:23:01 -0700

Đoàn Trần Công Danh  <[email-masked]> writes:

> This series is based on work started by Dscho,
> I started to work with this series since there're merge conflicts
> with my series at dd/ci-musl-lib, and Dscho said he was busy for a while.
>
> Changes frome Dscho's version:
> * Based on dd/ci-musl-libc
> * Move artifact extraction out of Test phase of windows-test
> * Move ci/print-test-failures.sh out of build-and-test phase
> * set TERM environment variable if not exist
> * add linux-musl job
> * v1 doesn't report failure on linux32, fixed
> * run linux32 directly inside container
> * install development file of curl in documentation job because "curl-config"
>   will be called in pu's Makefile
>   + Other approach could be call make CURL_CONFIG=: in test-documentation.sh
>
> Sample run:
> * of this series: https://github.com/sgn/git/actions/runs/68291472
> * pretend compile failure: https://github.com/sgn/git/actions/runs/68292112
> * pretend test failure: https://github.com/sgn/git/actions/runs/68293056
> * merged to pu: https://github.com/sgn/git/actions/runs/68301122

When I look at

    https://github.com/git/git/actions

it appears that every time I push[*1*], we are running _two_ sets of
the same tests, one says "Pu nu bu?" and the other says "CI/PR".

In addition, the former refers to "Pull request #nnn synchronize by
gitster", with #nnn part made clickable, but clicking on it results
in 404 page, as there is no such pull request.

Does this series need some help from me (i.e. changing my workflow)
to make the CI tests run more smoothly?

Thanks.

[Footnote] 

*1* I always push to github.com/git/git and github.com/gitster/git
almost at the same time---the latter has all the topics that gets
merged to 'pu' separated out.  But the latter push does not say
anything about anybody asking to anybody else to pull anything.